import bdMap from "@components/index/map"
import websocket from "@tools/webSocket"
export default {
  data() {
    return {
      
    }
  },
  components: {
    bdMap
  },
  mounted: function() {
    this.init();
  },
  methods: {
    // 初始化
    init() {
      // websocket.init("/topic/popup");

      this.ET.getBarsH("finishedPower",
      ['月计划完成率1302%', '年计划完成率76%'],[
        {
          name: '月计划完成率',
          type: 'bar',
          barWidth: 12,
          itemStyle: {
            color: this.ET.color[0],
            barBorderRadius: [0, 3, 3, 0] // 柱子圆角
          },
          data: [18203, 23489]
        },
        {
          name: '年计划完成率',
          type: 'bar',
          barWidth: 12,
          itemStyle: {
            color: this.ET.color[2],
            barBorderRadius: [0, 3, 3, 0] // 柱子圆角
          },
          data: [19325, 681807]
        }
      ]); // 完成电量

      this.ET.getGaugesH("powerLoad",[
        {
          name: '转速',
          type: 'gauge',
          center: ['14%', '60%'],    // 默认全局居中
          radius: '60%',
          min: 0,
          max: 100,
          startAngle: 180, // 开始角度
          endAngle: 0, // 结束角度
          splitNumber: 2, // 分段
          axisLine: { // 坐标轴线
            lineStyle: { // 属性lineStyle控制线条样式
              width: 12,
              color: [ // 设置分段颜色
                [0.5, "#69db7c"],
                [0.8, "#ffa94d"],
                [1, "#ff6b6b"]
              ]
            }
          },
          axisLabel: {
            distance: -5, // 标签与刻度线的距离。
            formatter: function (value) {
              return Math.ceil(value);
            }
          },
          axisTick: { // 坐标轴小标记
            show: false,
          },
          splitLine: { // 分隔线
            show: false,
          },
          pointer: {
            width: 5
          },
          title: {
            offsetCenter: [0, '30%'], // x, y，单位px
          },
          detail: { // 当前指示数值
            fontSize: 16,
            offsetCenter: [0, '-120%'],
            formatter: '{value}m/s'
          },
          data: [{ value: 34, name: '风速' }]
        },
        {
          name: '转速',
          type: 'gauge',
          center: ['38%', '60%'], // 默认全局居中
          radius: '60%',
          min: 0,
          max: 600,
          startAngle: 180, // 开始角度
          endAngle: 0, // 结束角度
          splitNumber: 2, // 分段
          axisLine: { // 坐标轴线
            lineStyle: { // 属性lineStyle控制线条样式
              width: 12,
              color: [ // 设置分段颜色
                [0.5, "#69db7c"],
                [0.8, "#ffa94d"],
                [1, "#ff6b6b"]
              ]
            }
          },
          axisLabel: {
            distance: -5, // 标签与刻度线的距离。
            formatter: function (value) {
              return Math.ceil(value);
            }
          },
          axisTick: {            // 坐标轴小标记
            show: false,
          },
          splitLine: {           // 分隔线
            show: false,
          },
          pointer: {
            width: 5
          },
          title: {
            offsetCenter: [0, '30%'],       // x, y，单位px
          },
          detail: { // 当前指示数值
            fontSize: 16,
            offsetCenter: [0, '-120%'],
            formatter: '{value}MW'
          },
          data: [{ value: 341, name: '保证功率' }]
        },
        {
          name: '转速',
          type: 'gauge',
          center: ['62%', '60%'],    // 默认全局居中
          radius: '60%',
          min: 0,
          max: 600,
          startAngle: 180, // 开始角度
          endAngle: 0, // 结束角度
          splitNumber: 2, // 分段
          axisLine: {            // 坐标轴线
            lineStyle: {       // 属性lineStyle控制线条样式
              width: 12,
              color: [ // 设置分段颜色
                [0.5, "#69db7c"],
                [0.8, "#ffa94d"],
                [1, "#ff6b6b"]
              ]
            }
          },
          axisLabel: {
            distance: -5, // 标签与刻度线的距离。
            formatter: function (value) {
              return Math.ceil(value);
            }
          },
          axisTick: {            // 坐标轴小标记
            show: false,
          },
          splitLine: {           // 分隔线
            show: false,
          },
          pointer: {
            width: 5
          },
          title: {
            offsetCenter: [0, '30%'],       // x, y，单位px
          },
          detail: { // 当前指示数值
            fontSize: 16,
            offsetCenter: [0, '-120%'],
            formatter: '{value}MW'
          },
          data: [{ value: 134, name: '应发功率' }]
        },
        {
          name: '转速',
          type: 'gauge',
          center: ['86%', '60%'],    // 默认全局居中
          radius: '60%',
          min: 0,
          max: 600,
          startAngle: 180, // 开始角度
          endAngle: 0, // 结束角度
          splitNumber: 2, // 分段
          axisLine: {            // 坐标轴线
            lineStyle: {       // 属性lineStyle控制线条样式
              width: 12,
              color: [ // 设置分段颜色
                [0.5, "#69db7c"],
                [0.8, "#ffa94d"],
                [1, "#ff6b6b"]
              ]
            }
          },
          axisLabel: {
            distance: -5, // 标签与刻度线的距离。
            formatter: function (value) {
              return Math.ceil(value);
            }
          },
          axisTick: {            // 坐标轴小标记
            show: false,
          },
          splitLine: {           // 分隔线
            show: false,
          },
          pointer: {
            width: 5
          },
          title: {
            offsetCenter: [0, '30%'],       // x, y，单位px
          },
          detail: { // 当前指示数值
            fontSize: 16,
            offsetCenter: [0, '-120%'],
            formatter: '{value}MW'
          },
          data: [{ value: 234, name: '实发功率' }]
        },
      ]); // 功率负荷

      this.ET.getLine("powerLine",[{
        name: '应发功率(单位：MW)',
        icon: "rect"
      },{
        name: '实发功率(单位：MW)',
        icon: "rect"
      },{
        name: '理论功率(单位：MW)',
        icon: "rect"
      },{
        name: '预测功率(单位：MW)',
        icon: "rect"
      },{
        name: '保证功率(单位：MW)',
        icon: "rect"
      },{
        name: '最优功率(单位：MW)',
        icon: "rect"
      },{
        name: '平均风速/日照强度',
        icon: "rect"
      }],
      ['00\n00', '00\n30','01\n00', '01\n30','02\n00', '02\n30','03\n00', '03\n30'],[
        {
          name: '应发功率(单位：MW)',
          type: 'line',
          smooth: true, // 平滑
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [120, 1321, 101, 1324, 901, 2310, 1110]
        },
        {
          name: '实发功率(单位：MW)',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [2220, 182, 191, 234, 290, 330, 310]
        },
        {
          name: '理论功率(单位：MW)',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [1520, 232, 201, 154, 190, 330, 410]
        },
        {
          name: '预测功率(单位：MW)',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [3230.45, 332, 301, 334, 390, 330, 320]
        },
        {
          name: '保证功率(单位：MW)',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [2230, 932, 901, 934, 1290, 1330, 1320]
        },
        {
          name: '最优功率(单位：MW)',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          data: [820, 932, 901, 934, 1290, 1330, 1320]
        },
        {
          name: '平均风速/日照强度',
          type: 'line',
          smooth: true,
          symbol: "circle", // 拐点图形
          symbolSize: 1,
          yAxisIndex: 1,
          data: [10, 2, 1, 14, 12, 13, 10]
        }
      ]); // 功率曲线

      this.ET.getBarsV("dayPowerTotal",[{
        name: '日发电量(单位：万kWh)',
        icon: "rect"
      },{
        name: '上网电量(单位：万kWh)',
        icon: "rect"
      },{
        name: '购网电量(单位：万kWh)',
        icon: "rect"
      },{
        name: '风速',
        icon: "rect"
      }],
      ['1日', '2日', '3日', '4日', '5日', '6日', '7日', '8日', '9日', '10日', '11日', '12日', '13日', '14日', '15日'], [
        {
          name: '日发电量(单位：万kWh)',
          type: 'bar',
          data: [2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3],
        },
        {
          name: '上网电量(单位：万kWh)',
          type: 'bar',
          data: [2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3],
        },
        {
          name: '购网电量(单位：万kWh)',
          type: 'bar',
          data: [2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3],
        },
        {
          name: '风速',
          type: 'bar',
          yAxisIndex: 1,
          data: [2.6, 5.9, 9.0, 26.4, 28.7, 7.7, 15.6, 8.2, 8.7, 18.8, 6.0, 2.3],
        }
      ]); // 日发电量

    },
  }
}
